Skip to main content
GET
/
api
/
v1
/
magic-events
/
{id}
/
Get Magic Event
curl --request GET \
  --url https://api.example.com/api/v1/magic-events/{id}/ \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.example.com/api/v1/magic-events/{id}/"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.example.com/api/v1/magic-events/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "settings": {
    "id": 123
  },
  "current_round_number": 123,
  "enrolled_player_count": 123,
  "user_statuses": [
    {
      "id": 123,
      "user": {
        "id": 123,
        "best_identifier": "<string>"
      },
      "decklist": 123,
      "final_place_in_standings": -1,
      "matches_won": -1,
      "matches_lost": -1,
      "matches_drawn": -1,
      "total_match_points": -1
    }
  ],
  "tournament_phases": [
    {
      "id": 123,
      "rounds": [
        {
          "id": 123,
          "matches": [
            {
              "id": 123,
              "player_match_relationships": [
                {
                  "id": 123,
                  "user_event_status": {
                    "id": 123,
                    "user": {
                      "id": 123,
                      "best_identifier": "<string>"
                    },
                    "decklist": 123,
                    "final_place_in_standings": -1,
                    "matches_won": -1,
                    "matches_lost": -1,
                    "matches_drawn": -1,
                    "total_match_points": -1
                  },
                  "games_won": -1,
                  "points_gained": -1,
                  "player_order": -1
                }
              ],
              "is_feature_match": true,
              "table_number": -1
            }
          ],
          "round_number": -1
        }
      ],
      "order_in_phases": -1
    }
  ],
  "featured_matches": [
    {
      "id": 123,
      "player_match_relationships": [
        {
          "id": 123,
          "user_event_status": {
            "id": 123,
            "user": {
              "id": 123,
              "best_identifier": "<string>"
            },
            "decklist": 123,
            "final_place_in_standings": -1,
            "matches_won": -1,
            "matches_lost": -1,
            "matches_drawn": -1,
            "total_match_points": -1
          },
          "games_won": -1,
          "points_gained": -1,
          "player_order": -1
        }
      ],
      "is_feature_match": true,
      "table_number": -1
    }
  ],
  "start_datetime": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

API key in format: sk_*

Path Parameters

id
string
required

Response

200 - application/json
id
integer
required
read-only
name
string
required
Maximum string length: 200
settings
object
required
current_round_number
integer
required
read-only
enrolled_player_count
integer
required
read-only
user_statuses
object[]
required
tournament_phases
object[]
required
event_format
  • BOOSTER_DRAFT - Draft
  • COMMANDER2 - Commander
  • LEGACY - Legacy
  • MODERN - Modern
  • MULTIPLAYER - Multiplayer
  • PAUPER - Pauper
  • SEALED_DECK - Sealed
  • STANDARD - Standard
  • PIONEER - Pioneer
  • VINTAGE - Vintage
  • TRIOS_CONSTRUCTED - Team Trios
  • OATHBREAKER - Oathbreaker
  • PREMODERN - Premodern
  • PENNY_DREADFUL - Penny Dreadful
  • HISTORIC - Historic
  • TIMELESS - Timeless
  • GLADIATOR - Gladiator
  • EXPLORER - Explorer
  • STANDARD_BRAWL - Standard Brawl
  • ALCHEMY - Alchemy
  • PAUPER_COMMANDER - Pauper Commander
  • DUEL - Duel Commander
  • OLDSCHOOL - Oldschool
  • PREDH - PrEDH
  • OTHER - Other
Available options:
BOOSTER_DRAFT,
COMMANDER2,
LEGACY,
MODERN,
MULTIPLAYER,
PAUPER,
SEALED_DECK,
STANDARD,
PIONEER,
VINTAGE,
TRIOS_CONSTRUCTED,
OATHBREAKER,
PREMODERN,
PENNY_DREADFUL,
HISTORIC,
TIMELESS,
GLADIATOR,
EXPLORER,
STANDARD_BRAWL,
ALCHEMY,
PAUPER_COMMANDER,
DUEL,
OLDSCHOOL,
PREDH,
OTHER
start_datetime
string<date-time> | null